import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/Everyday/";

interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}

export const companyEveryMonth = (data: object = {}): ResponseType => {
  return http.request("post", `${yewuApi}companyEveryMonth`, { data });
};


export const companyEvery = (data: object = {}): ResponseType => {
  return http.request("post", `${yewuApi}companyEvery`, { data });
};


export const departmentEveryDay = (data: object = {}): ResponseType => {
  return http.request("post", `${yewuApi}departEveryDay`, { data });
};
